Bug 92438 - Boot record doesn't install on Raid 1 drive
Boot record doesn't install on Raid 1 drive
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-06 03:04 EDT by Richard Palm
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-17 18:08:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Palm 2003-06-06 03:04:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)

Description of problem:
Installed new drive in Raid system.  Did raidhotadd to mirror data.
cat /proc/mdstat shows correct status
Will not boot on new raid drive.

lilo -v shows no response.
lilo -v -q shows no response.

Version-Release number of selected component (if applicable):
kernel-2.4.18-27.7.x

How reproducible:
Always

Steps to Reproduce:
1.lilo
2.reboot system
3.will not boot.  Have to boot from floppy.
    

Additional info:
Comment 1 Jeremy Katz 2003-06-06 03:38:33 EDT
What does your /etc/lilo.conf look like?
Comment 2 Richard Palm 2003-06-06 07:52:18 EDT
prompt
timeout=50
default=linux
boot=/dev/md0
map=/boot/map
install=/boot/boot.b
message=/boot/message
linear

image=/boot/vmlinuz-2.4.18-27.7.x
	label=linux.2
	root=/dev/md2
	append="hdd=ide-scsi"
	read-only
	initrd=/boot/initrd-2.4.18-27.7.x.img

image=/boot/vmlinuz-2.4.20-13.7
	label=linux.1
	root=/dev/md2
	append="hdd=ide-scsi"
	read-only
	initrd=/boot/initrd-2.4.20-13.7.img

image=/boot/vmlinuz-2.4.20-18.7
	label=linux
	root=/dev/md2
	append="hdd=ide-scsi"
	read-only
	initrd=/boot/initrd-2.4.20-18.7.img
Comment 3 Jeremy Katz 2003-06-06 10:06:29 EDT
And how does lilo -v fail?
Comment 4 Richard Palm 2003-06-06 11:46:14 EDT
[root@server2 root]# lilo -v
LILO version 21.4-4, Copyright (C) 1992-1998 Werner Almesberger
'lba32' extensions Copyright (C) 1999,2000 John Coffman

[root@server2 root]#
[root@server2 root]# fdisk /dev/hde

The number of cylinders for this disk is set to 238216.
There is nothing wrong with that, but this is larger than 1024,
and could in certain setups cause problems with:
1) software that runs at boot time (e.g., old versions of LILO)
2) booting and partitioning software from other OSs
   (e.g., DOS FDISK, OS/2 FDISK)

Command (m for help): p

Disk /dev/hde: 16 heads, 63 sectors, 238216 cylinders
Units = cylinders of 1008 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hde1   *         1        41     20632+  fd  Linux raid autodetect
/dev/hde2            42    233692 117760104   fd  Linux raid autodetect
/dev/hde3        233693    234732    524160   fd  Linux raid autodetect

Command (m for help):

Comment 5 Jeremy Katz 2003-06-29 17:08:00 EDT
What other drives do you have in your system?
Comment 6 Richard Palm 2003-06-29 22:20:05 EDT
There are two 120 GB identical drives
   hde
   hdg
Comment 7 Peter Jones 2005-03-17 18:08:26 EST
Grub currently provides this functionality, as of FC4t1.  Closing.

Note You need to log in before you can comment on or make changes to this bug.